package cn.wangdian.erp.demo;

import cn.wangdian.erp.sdk.Client;
import cn.wangdian.erp.sdk.Pager;
import cn.wangdian.erp.sdk.WdtErpException;
import cn.wangdian.erp.sdk.api.wms.StockAPI;
import cn.wangdian.erp.sdk.api.wms.dto.PdOrderCreateRequest;
import cn.wangdian.erp.sdk.api.wms.dto.StockSearchRequest;
import cn.wangdian.erp.sdk.api.wms.dto.StockSearchResponse;
import cn.wangdian.erp.sdk.impl.ApiFactory;
import cn.wangdian.erp.sdk.impl.DefaultClient;

import java.io.IOException;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;
import java.util.Map;

public class Stock {
    public static void main(String[] args) throws IOException, WdtErpException {
        Client client = DefaultClient.get("wdterp30","http://169.254.166.15:30000/", "POS", "c1fbdd70132de9300d23a05a5f63e150:cc169a95acdaa9ffaed4e9d59f93efaa");
//        Client client = DefaultClient.get("wdtapi3", "test", "test");
        StockAPI stockApi = ApiFactory.get(client, StockAPI.class);

//        testStockSpecSearch(stockApi);
        testCreatePdOrder(stockApi);

    }

    private static void testStockSpecSearch(StockAPI stockApi) {
        StockSearchRequest request = new StockSearchRequest();

        request.setSpecNos(Arrays.asList("daba3","daba4"));
        request.setWarehouseNo("pos");
//        request.setStartTime("2019-09-01");
//        request.setEndTime("2019-09-20");

        StockSearchResponse response = stockApi.search(request, new Pager(1, 0, true));

        if(response.getTotal() <= 0) {
            System.out.println("No eligible results! ");
            return ;
        }

        List<StockSearchResponse.StockSearchDto> dtos = response.getStockSearchDtos();
        System.out.println("total: "+response.getTotal()+" first spec_no:"+dtos.get(0).getSpecNo());
    }

    private static void testCreatePdOrder(StockAPI stockApi){
        PdOrderCreateRequest.OrderDto orderDto = new PdOrderCreateRequest.OrderDto();
        orderDto.setDefectMode(PdOrderCreateRequest.OrderDto.DEFECT_MODE_NORMAL);
        orderDto.setWarehouseNo("1001");
        orderDto.setRemark("API TEST");

        PdOrderCreateRequest.DetailDto detailDto = new PdOrderCreateRequest.DetailDto();
        detailDto.setSpecNo("PC_2018");
        detailDto.setDefect(false);
        detailDto.setNewNum("5");
        detailDto.setRemark("detail remark");

        List detailList = new ArrayList();
        detailList.add(detailDto);

        Map<String, Object> response = stockApi.createPdOrder(orderDto, detailList);

        // success
        if(response != null)
            System.out.println(response);
    }
}
