package cn.wangdian.erp.demo;

import cn.wangdian.erp.sdk.Client;
import cn.wangdian.erp.sdk.Pager;
import cn.wangdian.erp.sdk.api.wms.stockout.StockoutAPI;
import cn.wangdian.erp.sdk.api.wms.stockout.dto.SalesStockoutRequest;
import cn.wangdian.erp.sdk.api.wms.stockout.dto.SalesStockoutResponse;
import cn.wangdian.erp.sdk.impl.ApiFactory;
import cn.wangdian.erp.sdk.impl.DefaultClient;

public class Stockout {
    public static void main(String[] args) {
        //Client client = DefaultClient.get("wdtapi3", "test", "test");
        Client client = DefaultClient.get("wdterp30","http://169.254.166.15:30000/", "POS", "c1fbdd70132de9300d23a05a5f63e150:cc169a95acdaa9ffaed4e9d59f93efaa");
        StockoutAPI stockoutApi = ApiFactory.get(client, StockoutAPI.class);

        querySalesStockout(stockoutApi);
    }

    private static void querySalesStockout(StockoutAPI stockoutApi){
        SalesStockoutRequest request = new SalesStockoutRequest();
        request.setSrcOrderNo("JY201911190093");
//        request.setStockoutNo("CK2019112057");
//        request.setWarehouseNo("1001");
//        request.setStatusType(SalesStockoutRequest.STATUS_TYPE_CONSIGNED);
//        request.setStartTime("2019-11-10 00:00:00");
//        request.setEndTime("2019-11-21 00:00:00");
//        request.setPositionSort(false);

        SalesStockoutResponse response = stockoutApi.querySales(request, new Pager(2, 0, true));
        Integer total = response.getTotal();
        if(total == null || total == 0)
        {
            System.out.println("No eligible results!");
            return;
        }

        System.out.print("total : "+total);
        for ( SalesStockoutResponse.OrderInfoDto orderInfo : response.getOrderList()) {
            System.out.println(" trade no : " + orderInfo.getTradeNo() + " first detail spec no: " + orderInfo.getDetailList().get(0).getSpecNo());
        }
    }
}
