package cn.wangdian.erp.sdk.api.sales.dto;

import com.google.gson.annotations.SerializedName;

import java.math.BigDecimal;
import java.util.List;

public class TradeQueryResponse  {
    /*
{
	"status": 0,
	"data": {
		"total_count": 1,
		"order": [{
			"logistics_name": "自有",
			"warehouse_type": 1,
			"fenxiao_nick": "",
			"consign_time": 1571036427000,
			"post_amount": 0.0000,
			"trade_time": 1569554505000,
			"receiver_ring": "",
			"raw_goods_type_count": 1,
			"remark_flag": 0,
			"receiver_dtb": "呼和浩特市 新城区",
			"detail_list": [{
				"platform_id": 0,
				"src_oid": "AD201909270031",
				"src_tid": "AT201909270024",
				"gift_type": 0,
				"refund_status": 0,
				"guarantee_mode": 2,
				"delivery_term": 1,
				"num": 1.0000,
				"price": 0.0000,
				"refund_num": 0.0000,
				"order_price": 0.0000,
				"share_price": 0.0000,
				"adjust": 0.0000,
				"discount": 0.0000,
				"share_amount": 0.0000,
				"paid": 0.0000,
				"goods_name": "零食",
				"tax_rate": 0.0000,
				"goods_no": "0713",
				"spec_name": "碧根果",
				"spec_no": "bgg",
				"spec_code": "",
				"suite_no": "",
				"suite_name": "",
				"suite_num": 0.0000,
				"suite_amount": 0.0000,
				"suite_discount": 0.0000,
				"api_goods_name": "",
				"api_spec_name": "",
				"commission": 0.0000,
				"goods_type": 1,
				"from_mask": 0,
				"remark": "",
				"modified": 1571036427000,
				"img_url": "",
				"created": 1569554564000,
				"prop2": "",
				"weight": 2.5000
			}],
			"bad_reason": 0,
			"print_remark": "",
			"discount": 0.0000,
			"other_amount": 0.0000,
			"pay_account": "",
			"tax_rate": 0.0000,
			"raw_goods_count": 1.0000,
			"to_deliver_time": "",
			"fchecker_name": "系统",
			"shop_remark": "",
			"invoice_id": 0,
			"modified": 1572083724000,
			"shop_no": "1001",
			"checker_name": "小二y",
			"receiver_area": "内蒙古自治区 呼和浩特市 新城区",
			"customer_no": "1001",
			"refund_status": 0,
			"receiver_province": 150000,
			"buyer_message": "",
			"created": 1569554564000,
			"weight": 2.5000,
			"tax": 0.0000,
			"logistics_code": "0x0001",
			"shop_name": "LJ测试店铺",
			"pay_time": "2019-09-27 11:21:45",
			"src_tids": "",
			"checkouter_name": "系统",
			"trade_no": "JY201909270046",
			"id_card_type": 0,
			"freeze_reason": 0,
			"single_spec_no": "bgg",
			"salesman_name": "小二y",
			"receiver_city": 150100,
			"invoice_title": "",
			"goods_type_count": 1,
			"goods_count": 1.0000,
			"cod_amount": 0.0000,
			"flag_name": "无",
			"receiver_telno": "010-8768874",
			"receiver_zip": "015000",
			"warehouse_no": "1001",
			"invoice_content": "",
			"trade_status": 110,
			"post_cost": 0.0000,
			"receiver_name": "李杰",
			"commission": 0.0000,
			"invoice_type": 0,
			"currency": "",
			"profit": -20.0000,
			"trade_from": 2,
			"delivery_term": 1,
			"logistics_no": "ZS201910140001",
			"goods_amount": 0.0000,
			"goods_cost": 20.0000,
			"receiver_district": 150102,
			"stockout_no": "",
			"receivable": 0.0000,
			"version_id": 1,
			"receiver_mobile": "15698761234",
			"buyer_nick": "客户_LJ",
			"fenxiao_type": 0,
			"cs_remark": "",
			"platform_id": 0,
			"trade_type": 2,
			"receiver_address": "新城区xx街道",
			"logistics_type_name": "自有物流",
			"ext_cod_fee": 0.0000,
			"customer_name": "李杰"
		}]
	}
}
     */

    @SerializedName("total_count")
    private Integer total;
    @SerializedName("order")
    private List<OrderInfoDto> orderList;

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public List<OrderInfoDto> getOrderList() {
        return orderList;
    }

    public void setOrderList(List<OrderInfoDto> orderList) {
        this.orderList = orderList;
    }

    public static class OrderInfoDto {

        //1无库存记录 2地址发生变化 4发票变化 8仓库变化16备注变化32平台更换货品64退款...512抢单异常
        public static final int BAD_REASON_ADDRESS_CHANGE = 2;
        public static final int BAD_REASON_INVOICE_CHANGE = 4;
        public static final int BAD_REASON_WAREHOUSE_CHANGE = 8;
        public static final int BAD_REASON_REMARK_CHANGE = 16; // 客服备注
        public static final int BAD_REASON_GOODS_CHANGE = 32;
        //public static final int BAD_REASON_REFUND = 64; //申请退款,订单审核时通过refund_status判断
        public static final int BAD_REASON_BLOCK_GIFT = 128;
        public static final int BAD_REASON_BLOCK_SWAP = 256; // 拦截换货 (1.换货订单因再次申请退款而拦截 2.平台换货单取消/换改退)
        public static final int BAD_REASON_BUYER_MESSAGE_CHANGE = 512; // 客户备注发生变化
        public static final int BAD_REASON_BLOCK_SYNC_LOGISTICS = 1024; // 拦截平台已发货。

        private String logisticsName;
        private Byte warehouseType;
        private String fenxiaoNick;
        private BigDecimal postAmount;
        private String receiverRing;
        private BigDecimal rawGoodsTypeCount;
        private Byte remarkFlag;
        private String receiverDtb;
        private Integer badReason;
        private String printRemark;
        private BigDecimal discount;
        private BigDecimal otherAmount;
        private String payAccount;
        private BigDecimal taxRate;
        private BigDecimal rawGoodsCount;
        private String toDeliverTime;
        private String fcheckerName;
        private String shopRemark;
        private Integer invoiceId;
        private String modified;
        private String shopNo;
        private String checkerName;
        private String receiverArea;
        private String customerNo;
        private Byte refundStatus;
        private String receiverProvince;
        private String buyerMessage;
        private String created;
        private BigDecimal weight;
        private BigDecimal tax;
        private String logisticsCode;
        private String shopName;
        private String payTime;
        private String srcTids;
        private String checkouterName;
        private String tradeNo;
        private Byte idCardType;
        private Byte freezeReason;
        private String singleSpecNo;
        private String salesmanName;
        private String receiverCity;
        private String invoiceTitle;
        private BigDecimal goodsTypeCount;
        private BigDecimal goodsCount;
        private BigDecimal codAmount;
        private String flagName;
        private String receiverTelno;
        private String receiverZip;
        private String warehouseNo;
        private String invoiceContent;
        private Byte tradeStatus;
        private BigDecimal postCost;
        private String receiverName;
        private BigDecimal commission;
        private Byte invoiceType;
        private String currency;
        private BigDecimal profit;
        private Byte tradeFrom;
        private Byte deliveryTerm;
        private String logisticsNo;
        private BigDecimal goodsAmount;
        private BigDecimal goodsCost;
        private String receiverDistrict;
        private String stockoutNo;
        private BigDecimal receivable;
        private Integer versionId;
        private String receiverMobile;
        private String buyerNick;
        private Byte fenxiaoType;
        private String csRemark;
        private Byte platformId;
        private Byte tradeType;
        private String receiverAddress;
        private String logisticsTypeName;
        private BigDecimal extCodFee;
        private String customerName;
        private String tradeTime;
        @SerializedName("detail_list")
        private List<DetailInfoDto> detailList;

        public String getLogisticsName() {
            return logisticsName;
        }

        public void setLogisticsName(String logisticsName) {
            this.logisticsName = logisticsName;
        }

        public Byte getWarehouseType() {
            return warehouseType;
        }

        public void setWarehouseType(Byte warehouseType) {
            this.warehouseType = warehouseType;
        }

        public String getFenxiaoNick() {
            return fenxiaoNick;
        }

        public void setFenxiaoNick(String fenxiaoNick) {
            this.fenxiaoNick = fenxiaoNick;
        }

        public BigDecimal getPostAmount() {
            return postAmount;
        }

        public void setPostAmount(BigDecimal postAmount) {
            this.postAmount = postAmount;
        }

        public String getReceiverRing() {
            return receiverRing;
        }

        public void setReceiverRing(String receiverRing) {
            this.receiverRing = receiverRing;
        }

        public BigDecimal getRawGoodsTypeCount() {
            return rawGoodsTypeCount;
        }

        public void setRawGoodsTypeCount(BigDecimal rawGoodsTypeCount) {
            this.rawGoodsTypeCount = rawGoodsTypeCount;
        }

        public Byte getRemarkFlag() {
            return remarkFlag;
        }

        public void setRemarkFlag(Byte remarkFlag) {
            this.remarkFlag = remarkFlag;
        }

        public String getReceiverDtb() {
            return receiverDtb;
        }

        public void setReceiverDtb(String receiverDtb) {
            this.receiverDtb = receiverDtb;
        }

        public Integer getBadReason() {
            return badReason;
        }

        public void setBadReason(Integer badReason) {
            this.badReason = badReason;
        }

        public String getPrintRemark() {
            return printRemark;
        }

        public void setPrintRemark(String printRemark) {
            this.printRemark = printRemark;
        }

        public BigDecimal getDiscount() {
            return discount;
        }

        public void setDiscount(BigDecimal discount) {
            this.discount = discount;
        }

        public BigDecimal getOtherAmount() {
            return otherAmount;
        }

        public void setOtherAmount(BigDecimal otherAmount) {
            this.otherAmount = otherAmount;
        }

        public String getPayAccount() {
            return payAccount;
        }

        public void setPayAccount(String payAccount) {
            this.payAccount = payAccount;
        }

        public BigDecimal getTaxRate() {
            return taxRate;
        }

        public void setTaxRate(BigDecimal taxRate) {
            this.taxRate = taxRate;
        }

        public BigDecimal getRawGoodsCount() {
            return rawGoodsCount;
        }

        public void setRawGoodsCount(BigDecimal rawGoodsCount) {
            this.rawGoodsCount = rawGoodsCount;
        }

        public String getToDeliverTime() {
            return toDeliverTime;
        }

        public void setToDeliverTime(String toDeliverTime) {
            this.toDeliverTime = toDeliverTime;
        }

        public String getFcheckerName() {
            return fcheckerName;
        }

        public void setFcheckerName(String fcheckerName) {
            this.fcheckerName = fcheckerName;
        }

        public String getShopRemark() {
            return shopRemark;
        }

        public void setShopRemark(String shopRemark) {
            this.shopRemark = shopRemark;
        }

        public Integer getInvoiceId() {
            return invoiceId;
        }

        public void setInvoiceId(Integer invoiceId) {
            this.invoiceId = invoiceId;
        }

        public String getModified() {
            return modified;
        }

        public void setModified(String modified) {
            this.modified = modified;
        }

        public String getShopNo() {
            return shopNo;
        }

        public void setShopNo(String shopNo) {
            this.shopNo = shopNo;
        }

        public String getCheckerName() {
            return checkerName;
        }

        public void setCheckerName(String checkerName) {
            this.checkerName = checkerName;
        }

        public String getReceiverArea() {
            return receiverArea;
        }

        public void setReceiverArea(String receiverArea) {
            this.receiverArea = receiverArea;
        }

        public String getCustomerNo() {
            return customerNo;
        }

        public void setCustomerNo(String customerNo) {
            this.customerNo = customerNo;
        }

        public Byte getRefundStatus() {
            return refundStatus;
        }

        public void setRefundStatus(Byte refundStatus) {
            this.refundStatus = refundStatus;
        }

        public String getReceiverProvince() {
            return receiverProvince;
        }

        public void setReceiverProvince(String receiverProvince) {
            this.receiverProvince = receiverProvince;
        }

        public String getBuyerMessage() {
            return buyerMessage;
        }

        public void setBuyerMessage(String buyerMessage) {
            this.buyerMessage = buyerMessage;
        }

        public String getCreated() {
            return created;
        }

        public void setCreated(String created) {
            this.created = created;
        }

        public BigDecimal getWeight() {
            return weight;
        }

        public void setWeight(BigDecimal weight) {
            this.weight = weight;
        }

        public BigDecimal getTax() {
            return tax;
        }

        public void setTax(BigDecimal tax) {
            this.tax = tax;
        }

        public String getLogisticsCode() {
            return logisticsCode;
        }

        public void setLogisticsCode(String logisticsCode) {
            this.logisticsCode = logisticsCode;
        }

        public String getShopName() {
            return shopName;
        }

        public void setShopName(String shopName) {
            this.shopName = shopName;
        }

        public String getPayTime() {
            return payTime;
        }

        public void setPayTime(String payTime) {
            this.payTime = payTime;
        }

        public String getSrcTids() {
            return srcTids;
        }

        public void setSrcTids(String srcTids) {
            this.srcTids = srcTids;
        }

        public String getCheckouterName() {
            return checkouterName;
        }

        public void setCheckouterName(String checkouterName) {
            this.checkouterName = checkouterName;
        }

        public String getTradeNo() {
            return tradeNo;
        }

        public void setTradeNo(String tradeNo) {
            this.tradeNo = tradeNo;
        }

        public Byte getIdCardType() {
            return idCardType;
        }

        public void setIdCardType(Byte idCardType) {
            this.idCardType = idCardType;
        }

        public Byte getFreezeReason() {
            return freezeReason;
        }

        public void setFreezeReason(Byte freezeReason) {
            this.freezeReason = freezeReason;
        }

        public String getSingleSpecNo() {
            return singleSpecNo;
        }

        public void setSingleSpecNo(String singleSpecNo) {
            this.singleSpecNo = singleSpecNo;
        }

        public String getSalesmanName() {
            return salesmanName;
        }

        public void setSalesmanName(String salesmanName) {
            this.salesmanName = salesmanName;
        }

        public String getReceiverCity() {
            return receiverCity;
        }

        public void setReceiverCity(String receiverCity) {
            this.receiverCity = receiverCity;
        }

        public String getInvoiceTitle() {
            return invoiceTitle;
        }

        public void setInvoiceTitle(String invoiceTitle) {
            this.invoiceTitle = invoiceTitle;
        }

        public BigDecimal getGoodsTypeCount() {
            return goodsTypeCount;
        }

        public void setGoodsTypeCount(BigDecimal goodsTypeCount) {
            this.goodsTypeCount = goodsTypeCount;
        }

        public BigDecimal getGoodsCount() {
            return goodsCount;
        }

        public void setGoodsCount(BigDecimal goodsCount) {
            this.goodsCount = goodsCount;
        }

        public BigDecimal getCodAmount() {
            return codAmount;
        }

        public void setCodAmount(BigDecimal codAmount) {
            this.codAmount = codAmount;
        }

        public String getFlagName() {
            return flagName;
        }

        public void setFlagName(String flagName) {
            this.flagName = flagName;
        }

        public String getReceiverTelno() {
            return receiverTelno;
        }

        public void setReceiverTelno(String receiverTelno) {
            this.receiverTelno = receiverTelno;
        }

        public String getReceiverZip() {
            return receiverZip;
        }

        public void setReceiverZip(String receiverZip) {
            this.receiverZip = receiverZip;
        }

        public String getWarehouseNo() {
            return warehouseNo;
        }

        public void setWarehouseNo(String warehouseNo) {
            this.warehouseNo = warehouseNo;
        }

        public String getInvoiceContent() {
            return invoiceContent;
        }

        public void setInvoiceContent(String invoiceContent) {
            this.invoiceContent = invoiceContent;
        }

        public Byte getTradeStatus() {
            return tradeStatus;
        }

        public void setTradeStatus(Byte tradeStatus) {
            this.tradeStatus = tradeStatus;
        }

        public BigDecimal getPostCost() {
            return postCost;
        }

        public void setPostCost(BigDecimal postCost) {
            this.postCost = postCost;
        }

        public String getReceiverName() {
            return receiverName;
        }

        public void setReceiverName(String receiverName) {
            this.receiverName = receiverName;
        }

        public BigDecimal getCommission() {
            return commission;
        }

        public void setCommission(BigDecimal commission) {
            this.commission = commission;
        }

        public Byte getInvoiceType() {
            return invoiceType;
        }

        public void setInvoiceType(Byte invoiceType) {
            this.invoiceType = invoiceType;
        }

        public String getCurrency() {
            return currency;
        }

        public void setCurrency(String currency) {
            this.currency = currency;
        }

        public BigDecimal getProfit() {
            return profit;
        }

        public void setProfit(BigDecimal profit) {
            this.profit = profit;
        }

        public Byte getTradeFrom() {
            return tradeFrom;
        }

        public void setTradeFrom(Byte tradeFrom) {
            this.tradeFrom = tradeFrom;
        }

        public Byte getDeliveryTerm() {
            return deliveryTerm;
        }

        public void setDeliveryTerm(Byte deliveryTerm) {
            this.deliveryTerm = deliveryTerm;
        }

        public String getLogisticsNo() {
            return logisticsNo;
        }

        public void setLogisticsNo(String logisticsNo) {
            this.logisticsNo = logisticsNo;
        }

        public BigDecimal getGoodsAmount() {
            return goodsAmount;
        }

        public void setGoodsAmount(BigDecimal goodsAmount) {
            this.goodsAmount = goodsAmount;
        }

        public BigDecimal getGoodsCost() {
            return goodsCost;
        }

        public void setGoodsCost(BigDecimal goodsCost) {
            this.goodsCost = goodsCost;
        }

        public String getReceiverDistrict() {
            return receiverDistrict;
        }

        public void setReceiverDistrict(String receiverDistrict) {
            this.receiverDistrict = receiverDistrict;
        }

        public String getStockoutNo() {
            return stockoutNo;
        }

        public void setStockoutNo(String stockoutNo) {
            this.stockoutNo = stockoutNo;
        }

        public BigDecimal getReceivable() {
            return receivable;
        }

        public void setReceivable(BigDecimal receivable) {
            this.receivable = receivable;
        }

        public Integer getVersionId() {
            return versionId;
        }

        public void setVersionId(Integer versionId) {
            this.versionId = versionId;
        }

        public String getReceiverMobile() {
            return receiverMobile;
        }

        public void setReceiverMobile(String receiverMobile) {
            this.receiverMobile = receiverMobile;
        }

        public String getBuyerNick() {
            return buyerNick;
        }

        public void setBuyerNick(String buyerNick) {
            this.buyerNick = buyerNick;
        }

        public Byte getFenxiaoType() {
            return fenxiaoType;
        }

        public void setFenxiaoType(Byte fenxiaoType) {
            this.fenxiaoType = fenxiaoType;
        }

        public String getCsRemark() {
            return csRemark;
        }

        public void setCsRemark(String csRemark) {
            this.csRemark = csRemark;
        }

        public Byte getPlatformId() {
            return platformId;
        }

        public void setPlatformId(Byte platformId) {
            this.platformId = platformId;
        }

        public Byte getTradeType() {
            return tradeType;
        }

        public void setTradeType(Byte tradeType) {
            this.tradeType = tradeType;
        }

        public String getReceiverAddress() {
            return receiverAddress;
        }

        public void setReceiverAddress(String receiverAddress) {
            this.receiverAddress = receiverAddress;
        }

        public String getLogisticsTypeName() {
            return logisticsTypeName;
        }

        public void setLogisticsTypeName(String logisticsTypeName) {
            this.logisticsTypeName = logisticsTypeName;
        }

        public BigDecimal getExtCodFee() {
            return extCodFee;
        }

        public void setExtCodFee(BigDecimal extCodFee) {
            this.extCodFee = extCodFee;
        }

        public String getCustomerName() {
            return customerName;
        }

        public void setCustomerName(String customerName) {
            this.customerName = customerName;
        }

        public String getTradeTime() {
            return tradeTime;
        }

        public void setTradeTime(String tradeTime) {
            this.tradeTime = tradeTime;
        }

        public List<DetailInfoDto> getDetailList() {
            return detailList;
        }

        public void setDetailList(List<DetailInfoDto> detailList) {
            this.detailList = detailList;
        }
    }

    public static class DetailInfoDto {
        /**
         * platform_id : 0
         * src_oid : AD201910290004
         * src_tid : AT201910290004
         * gift_type : 0
         * refund_status : 0
         * guarantee_mode : 2
         * delivery_term : 1
         * num : 1
         * price : 30
         * refund_num : 0
         * order_price : 30
         * share_price : 30
         * adjust : 0
         * discount : 0
         * share_amount : 30
         * paid : 0
         * goods_name : 阳台桌椅真藤椅茶几三件套五件套组合庭院户外花园客厅阳台藤椅子
         * tax_rate : 0
         * goods_no : daba3
         * spec_name : 默认规格
         * spec_no : daba3
         * spec_code : 藤椅*1
         * suite_no :
         * suite_name :
         * suite_num : 0
         * suite_amount : 0
         * suite_discount : 0
         * api_goods_name :
         * api_spec_name :
         * commission : 0
         * goods_type : 1
         * from_mask : 0
         * remark :
         * modified : 1572341364000
         * img_url : https://image.suning.cn/uimg/b2c/newcatentries/0070132569-000000000146026238_2.jpg_800w_800h_4e
         * created : 1572341087000
         * prop2 :
         * weight : 1.25
         */

        private Integer platformId;
        private String srcOid;
        private String srcTid;
        private Byte giftType;
        private Byte refundStatus;
        private Byte guaranteeMode;
        private Byte deliveryTerm;
        private BigDecimal num;
        private BigDecimal price;
        private BigDecimal refundNum;
        private BigDecimal orderPrice;
        private BigDecimal sharePrice;
        private BigDecimal adjust;
        private BigDecimal discount;
        private BigDecimal shareAmount;
        private BigDecimal paid;
        private String goodsName;
        private BigDecimal taxRate;
        private String goodsNo;
        private String specName;
        private String specNo;
        private String specCode;
        private String suiteNo;
        private String suiteName;
        private BigDecimal suiteNum;
        private BigDecimal suiteAmount;
        private BigDecimal suiteDiscount;
        private String apiGoodsName;
        private String apiSpecName;
        private BigDecimal commission;
        private Byte goodsType;
        private Integer fromMask;
        private String remark;
        private String imgUrl;
        private String prop2;
        private BigDecimal weight;
        private String created;
        private String modified;

        public Integer getPlatformId() {
            return platformId;
        }

        public void setPlatformId(Integer platformId) {
            this.platformId = platformId;
        }

        public String getSrcOid() {
            return srcOid;
        }

        public void setSrcOid(String srcOid) {
            this.srcOid = srcOid;
        }

        public String getSrcTid() {
            return srcTid;
        }

        public void setSrcTid(String srcTid) {
            this.srcTid = srcTid;
        }

        public Byte getGiftType() {
            return giftType;
        }

        public void setGiftType(Byte giftType) {
            this.giftType = giftType;
        }

        public Byte getRefundStatus() {
            return refundStatus;
        }

        public void setRefundStatus(Byte refundStatus) {
            this.refundStatus = refundStatus;
        }

        public Byte getGuaranteeMode() {
            return guaranteeMode;
        }

        public void setGuaranteeMode(Byte guaranteeMode) {
            this.guaranteeMode = guaranteeMode;
        }

        public Byte getDeliveryTerm() {
            return deliveryTerm;
        }

        public void setDeliveryTerm(Byte deliveryTerm) {
            this.deliveryTerm = deliveryTerm;
        }

        public BigDecimal getNum() {
            return num;
        }

        public void setNum(BigDecimal num) {
            this.num = num;
        }

        public BigDecimal getPrice() {
            return price;
        }

        public void setPrice(BigDecimal price) {
            this.price = price;
        }

        public BigDecimal getRefundNum() {
            return refundNum;
        }

        public void setRefundNum(BigDecimal refundNum) {
            this.refundNum = refundNum;
        }

        public BigDecimal getOrderPrice() {
            return orderPrice;
        }

        public void setOrderPrice(BigDecimal orderPrice) {
            this.orderPrice = orderPrice;
        }

        public BigDecimal getSharePrice() {
            return sharePrice;
        }

        public void setSharePrice(BigDecimal sharePrice) {
            this.sharePrice = sharePrice;
        }

        public BigDecimal getAdjust() {
            return adjust;
        }

        public void setAdjust(BigDecimal adjust) {
            this.adjust = adjust;
        }

        public BigDecimal getDiscount() {
            return discount;
        }

        public void setDiscount(BigDecimal discount) {
            this.discount = discount;
        }

        public BigDecimal getShareAmount() {
            return shareAmount;
        }

        public void setShareAmount(BigDecimal shareAmount) {
            this.shareAmount = shareAmount;
        }

        public BigDecimal getPaid() {
            return paid;
        }

        public void setPaid(BigDecimal paid) {
            this.paid = paid;
        }

        public String getGoodsName() {
            return goodsName;
        }

        public void setGoodsName(String goodsName) {
            this.goodsName = goodsName;
        }

        public BigDecimal getTaxRate() {
            return taxRate;
        }

        public void setTaxRate(BigDecimal taxRate) {
            this.taxRate = taxRate;
        }

        public String getGoodsNo() {
            return goodsNo;
        }

        public void setGoodsNo(String goodsNo) {
            this.goodsNo = goodsNo;
        }

        public String getSpecName() {
            return specName;
        }

        public void setSpecName(String specName) {
            this.specName = specName;
        }

        public String getSpecNo() {
            return specNo;
        }

        public void setSpecNo(String specNo) {
            this.specNo = specNo;
        }

        public String getSpecCode() {
            return specCode;
        }

        public void setSpecCode(String specCode) {
            this.specCode = specCode;
        }

        public String getSuiteNo() {
            return suiteNo;
        }

        public void setSuiteNo(String suiteNo) {
            this.suiteNo = suiteNo;
        }

        public String getSuiteName() {
            return suiteName;
        }

        public void setSuiteName(String suiteName) {
            this.suiteName = suiteName;
        }

        public BigDecimal getSuiteNum() {
            return suiteNum;
        }

        public void setSuiteNum(BigDecimal suiteNum) {
            this.suiteNum = suiteNum;
        }

        public BigDecimal getSuiteAmount() {
            return suiteAmount;
        }

        public void setSuiteAmount(BigDecimal suiteAmount) {
            this.suiteAmount = suiteAmount;
        }

        public BigDecimal getSuiteDiscount() {
            return suiteDiscount;
        }

        public void setSuiteDiscount(BigDecimal suiteDiscount) {
            this.suiteDiscount = suiteDiscount;
        }

        public String getApiGoodsName() {
            return apiGoodsName;
        }

        public void setApiGoodsName(String apiGoodsName) {
            this.apiGoodsName = apiGoodsName;
        }

        public String getApiSpecName() {
            return apiSpecName;
        }

        public void setApiSpecName(String apiSpecName) {
            this.apiSpecName = apiSpecName;
        }

        public BigDecimal getCommission() {
            return commission;
        }

        public void setCommission(BigDecimal commission) {
            this.commission = commission;
        }

        public Byte getGoodsType() {
            return goodsType;
        }

        public void setGoodsType(Byte goodsType) {
            this.goodsType = goodsType;
        }

        public Integer getFromMask() {
            return fromMask;
        }

        public void setFromMask(Integer fromMask) {
            this.fromMask = fromMask;
        }

        public String getRemark() {
            return remark;
        }

        public void setRemark(String remark) {
            this.remark = remark;
        }

        public String getImgUrl() {
            return imgUrl;
        }

        public void setImgUrl(String imgUrl) {
            this.imgUrl = imgUrl;
        }

        public String getProp2() {
            return prop2;
        }

        public void setProp2(String prop2) {
            this.prop2 = prop2;
        }

        public BigDecimal getWeight() {
            return weight;
        }

        public void setWeight(BigDecimal weight) {
            this.weight = weight;
        }

        public String getCreated() {
            return created;
        }

        public void setCreated(String created) {
            this.created = created;
        }

        public String getModified() {
            return modified;
        }

        public void setModified(String modified) {
            this.modified = modified;
        }
    }

}
